<?php

namespace App\Http\Requests;

class GameUser extends Request
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'game_id' => 'required',
            'user_id' => 'required',
        ];
    }

    public function message()
    {
        return [
            'game_id.required' => trans('api.GAME_REQUIRED'),
            'user_id.required' => trans('api.PLAYER_REQUIRED'),
        ];
    }
}
